Prezentare

1. Prezentare

FocusPrint - matricola este un program care face parte din pachetul de aplicatii FocusPrint, program care tine o evidenta a elevilor intr-o unitate de învatamant precum si a disciplinelor de invatamant si a calificativelor elevilor pentru fiecare disciplina in parte pe semestre. Trebuie mentionat faptul ca programul permite si tiparirea foilor matricole si a adeverintelor.

click pentru zoom

Fereastra principala a programului este compusa din doua sectiuni, in partea din stanga a ferestrei este prezentat arborescent situatia scolara a unitatii de invatamant pe ani scolari\ani de studiu\clase\Elevi, Discipline, Medii semestriale/corigente/generale, iar in partea dreapta lista cu inregistrarile curente, corespunzator nodului selectat din sectiunea stanga.

Fereastra principala mai contine un meniu

cu ajutorul caruia se pot apela diverse operatii detaliate pe larg in paginile urmatoare si o bara cu butoane in partea superioara pentru o mai rapida accesare a acestor operatii.


Cerinte minime hardware si software

2. Cerinte minime software si hardware, configurare sistem, instalare

a) Software:
- sistem de operare Win98
- Windows Installer 2.0
- Microsoft Internet Explorer 5.01
- Windows Management Instrumentation (WMI) CORE 1.5. (pentru Windows 95/98/NT 4.0)
(CD: in directorul '\Componente' sau www.microsoft.com/downloads)

b) Hardware:
- procesor: Pentium I la 150MHz
- minim 64Mb RAM cu 15Mb liberi pentru instalarea programului si 70MB pt. serverul bazei de date*1 pe HDD .
- imprimanta pentru printarea foilor matricole si a adeverintelor.

Configurare sistem inainte de instalare:

1. Setati formatul 'Romanian' in dialogul 'Regional and Language Options' (Control Panel) .

altfel instalarea se va termina anormal cu acest mesaj de eroare:

Dupa instalarea aplicatiei puteti reveni la configuratia initiala.

2. Instalati serviciul 'File an Printer Sharing for Microsoft Networks' daca acesta nu este deja instalat.

Instalare:

- instalati pachetele de la 'Cerinte software' inainte de instalarea aplicatiei.
- pentru instalarea aplicatiei folositi fisierul 'setup.exe' din directorul cu kitul de instalare.

Dialogul pentru instalarea aplicatie:

Pasul 1*). Instalarea server-ului bazei de date. Toate aplicatiile companiei Enterprise Technologies folosesc o singura instanta a bazei de date (ETSOFT) , serverului bazei de date instalandu-se o singura data la instalarea primei aplicatii.
Atentie: in cazul in care aveti instalate mai multe aplicatii (scolarPlus, profesionala) la dezinstalarea unei aplicatii nu dezinstalati si serverul bazei de date(Pasul 1), altfel riscati ca sa pierdeti inregistrarile celorlalte aplicatii.
Pasul 2) instalare/dezinstalare aplicatie(la dezinstalare se sterge baza de date cu toate inregistrarile, dar nu si serverul (pasul1) ).

*2) dupa instalarea pachetelor si a aplicatie, pentru sistemul de operare Windows98, este necesara executarea fisierului 'fixWin98.bat' din directorul \fixWin98 din kitul de instalare, altfel printarea nu se va putea realiza.


Inregistrari

3a. Inregistrari (situatia scolara a elevului)

Adaugarea/modificarea/stergerea inregistrarilor se realizeaza cu ajutorul optiunii din meniu 'Fisier\Inregistrari elevi\" sau cu ajutorul butoanelor din partea superioara a ferestrei principale, acestea fiind introduse intr-o maniera intuitiva asemanator aparitiei acestora pe foaia matricola, programul generand automat structura arborescenta a claselor.

Fereastra pentru administrarea inregistrarilor este compusa din 4 sectiuni, astfel:
a. Date generale sunt introduse urmatoarele date despre elev:
- CNP - se verifica daca CNP-ul introdus este corect, data nasterii fiind generata automat din acesta (la salvarea inregistrarii se verifica duplicitatea CNP-ului, utilizatorul fiind atentionat in acest sens)
- locul nasterii
- nationalitatea
- numele si prenumele tatalui si a mamei
- domiciliul parintilor si elevului

click pentru zoom

b. Situatia scolara generala
Adaugarea inregistrarilor in aceasta sectiune se realizaza cu ajutorul meniului principal al dialogului (Operatii ) sau folosind meniul care se activeaza cu ajutorul butonului dreapta al mouse-ului in lista, iar pentru modificarea campurilor prin actiunea de dublu-click al butonului de mouse. Pentru a usura introducerea campurilor s-a optat pentru memorarea campurilor introduse anterior astfel se evita scrierea duplicitara care poate genera erori de scriere. Timpul de completare a inregistrarilor este scurtat si prin folosirea unei solutii de asistenta (auto-complete).

click pentru zoom

c. Discipline de invatamant In aceasta sectiune sunt introduse disciplinele si mediile generale anilor de studii corespunzatori inregistrarilor din sectiunea 'Situatia scolara generala'. In cazul in care exista deja un elev cu aceeasi situatie scolara disciplinele sunt adaugate automat in lista pentru a scade timpul necesar introducerii datelor.

click pentru zoom

d. Diverse. In aceasta sectiune se pot completa date suplimentare despre elev: Vol si pag din registrul cu elevii inscrisi in unitatea de invatamant precum si un camp 'observatii' unde pot fi trecute informatii suplimentare despre elev.

click pentru zoom

Dupa salvare inregistrarii, in mod automat programul va genera structura arborscenta (din stanga ferestrei), utlizatorul avand posibilitatea de a completa campurile corespunzatoare disciplinelor studiate pe semestre, iar in caz de corigenta, de completare a calificativelor in sectiunea 'Corigente'.

click pentru zoom

In sectiunea 'Medii generale' se pot observa nuante diferite de culoare:
- violet in cazul in care nota generala nu este calculata corect in raport cu notele semestriale sau dupa caz de nota de la corigenta sau notele semestriale nu sunt completate.
- rosu in caz de repetentie.

Pentru calculul rapid al mediilor folositi optiunea 'Calculeaza mediile' din meniul prin actiunea de dublu-click al butonului de mouse in lista curenta.

click pentru zoom

Administrare discipline. Disciplinele de studiu pot fi administrate (sterse, modificate sau adaugate) in sectiunea 'Obiecte de studiu'.

click pentru zoom


Campuri statice

3b.Ordonare discipline

Cu ajutorul optiunii din meniu 'Fisier\Ordonare discipline' aveti posibilitatea de a pozitiona disciplinele in ordinea dorita pe foaia matricola, ordonarea acestora in foaia matricola facandu-se dupa urmatoarele criterii:
1. anul de studiu (indiferent daca in lista de mai jos a fost setat pe cea mai superioara pozitie)
2. ordonarea in lista de mai jos.
3. ordonarea in ordine alfabetica


Vizualizare coloane

3c.Operatii cu baza de date

Cu ajutorul meniului 'Fisier\Operatii baza de date' aveti posibilitatea de:

a. Initializare : toate inregistrarile din baza de date vor fi sterse.
b. Export data: baza de date va fi salvata intr-un fisier *.bak.
c. Import data: baza de date va fi refacuta (restore) din fisier *.bak folosind utilitarul importDB.exe.


Import - Export

3d.Export lista curenta

Export

Optiunea Export are drept urmare exportarea inregistrarilor din lista curenta. (optiunea poate fi selectata din meniu sau utilizand butonul din toolbar)

Exemple de fisiere Excel:

click pentru zoom


Printare

3e. Printare

Pentru printarea foii matricole sau adeverintei se selecteaza elevul din sectiunea 'Date generale' si optiunea corespunzatoare documentului dorit din meniul 'Fisier\Printare documente' sau folosind butonul corespunzator din bara de butoane din partea superioara a ferestrei.

A. Printare foi matricole

Inainte de dialogul de previzualizare a foii matricole, utilizatorul poate seta tipul documentului dorit pentru printare si poate completa anumite campuri care apar pe foaia matricola.

click pentru zoom

dialogul de previzualizare a foii matricole, pagina fata:

click pentru zoom

pagina verso:

click pentru zoom

B. Printare adeverinta. Pasii sunt asemanatori printarii foii matricole.

Dialogul pentru introducerea datelor din adeverinta:

click pentru zoom

Dialogul de previzualizare a adeverintei, unde utilizatorul are posibilitatea de a seta o imagine 'header' cu antetul unitatii de invatamant cu dimensiunile:
- 9000px lungime
- 1500px inaltime


Vizualizare coloane

3d.Inchidere an

Optiunea de 'Inchidere an' este disponibila in meniul care se activeaza prin actiunea de click-dreapta pe anul scolar (vezi foto) avand ca efect inscrierea elevilor cu situatia scolara incheiata (mediile generale incheiate) in anul scolar urmator .

click pentru zoom

Rezultatul operatiei:


Licenta

4b. Licenta

Setarea licentei consta in setarea unui fisier si a unei chei in dialogul de mai jos:

Pentru achizitionarea unei licente scrieti un email catre: office@enterprise-technologies.ro cu informatii despre numele unitatii de invatamant, localitatea, judetul si codul SIRUES.Veti primi ca raspuns o factura proforma si asteptam confirmarea platii prin email. Dupa primirea confirmarii veti primi licenta: 2 fisiere (*.lic si sn.txt) prin email.

telefon: 0740-183322


Contact

5.Contact

Pentru eventualele intrebari si sugestii va stam la dispozitie, la adresa de email:

office@enterprise-technologies.ro

si la numarul de telefon: 0740-183322.

Va multumeste si va doreste eficienta maxima in lucru,
echipa Enterpise Technologies